package org.jeecg.modules.adweb.site.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.adweb.site.entity.AdwebSiteUserPermission;

import java.util.List;

/**
 * @Description: 站点权限表
 * @Author: liang
 * @Date: 2022-08-09
 * @Version: V1.0
 */
public interface ISiteUserPermissionService extends IService<AdwebSiteUserPermission> {

    List<String> getSiteCodeList(String uid);

    List<String> getSiteCodeListByUids(List<String> list);

    void insertSiteUserPermission(String uid, String siteCode, String siteName);

}
